--keep in mind that I only made most these changes to make real strategy work better with my mod, not because I think that they would be a general improvement to real strategy. Also, sorry that this file is a bit messy because it's a lot of small, different stuff

--increase pseudo yield of naval units to improve AI naval combat (lacking from what I've seen)
UPDATE PseudoYields SET DefaultValue = 1.5 WHERE PseudoYieldType = 'PSEUDOYIELD_UNIT_NAVAL_COMBAT';

--recent update to real strategy made AI even more aggressive towards city states and capitals for some reason so I'm increasing the capital evaluation malus 
UPDATE PseudoYields SET DefaultValue = -500 WHERE PseudoYieldType = 'PSEUDOYIELD_CITY_ORIGINAL_CAPITAL';

-- Diplo, religion scores dramatically reduced because the AI doesn't need these strategies in my opinion. In the rare cases in that diplo/religious victories are actually possible, the AI will be pretty good at getting them even when not following the strategy for it. In all other cases it often ruins AI performance

UPDATE GlobalParameters SET Value = 1 WHERE Name = 'RST_DIPLO_PROGRESS_WEIGHT';
UPDATE GlobalParameters SET Value = 1 WHERE Name = 'RST_DIPLO_FAVOR_PER_TURN_WEIGHT';
UPDATE RSTFlavors SET Value = 1 WHERE Strategy='DIPLO';

UPDATE RSTFLavors SET Value = 1 WHERE Strategy='RELIGION';
UPDATE GlobalParameters SET Value = 1 WHERE Name ='RST_RELIGION_FAITH_FACTOR';
UPDATE GlobalParameters SET Value = 1 WHERE Name ='RST_RELIGION_CITIES_MULTIPLIER';
UPDATE GlobalParameters SET Value = 1 WHERE Name ='RST_RELIGION_CONVERTED_WEIGHT';
UPDATE GlobalParameters SET Value = -300 WHERE Name ='RST_RELIGION_INQUISITION_WEIGHT';
UPDATE GlobalParameters SET Value = 150 WHERE Name ='RST_GUESS_SCALER_RELIGION';

-- reduce domination priority after conquering a capital instead of increasing it because at that point it would be much better if the AI pivoted to science/culture with the taken cities instead of going for an impossible victory
UPDATE GlobalParameters SET Value = -200 WHERE Name ='RST_CONQUEST_CAPTURED_CAPITAL_PRIORITY';

-- domination victory pretty much impossible for the AI, but still important disruption strategy when science/culture doesn't work out
-- set conquest score to 5 for all civs
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CONQUEST' AND ObjectType LIKE 'LEADER_%';

-- changes to leader flavors that may be historically less accurate and a bit less flavorful but make more sense for the gameplay with my mod
-- only science/culture scores vary by leader, domination civs have lower values so they pivot to conquest more often while more peaceful ones have higher scores and usually stay peaceful
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_ABRAHAM_LINCOLN';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='CULTURE' AND ObjectType='LEADER_ABRAHAM_LINCOLN';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_ALEXANDER';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CULTURE' AND ObjectType='LEADER_ALEXANDER';
UPDATE RSTFLavors SET Value = 8 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_AMANITORE';
UPDATE RSTFLavors SET Value = 8 WHERE Strategy='CULTURE' AND ObjectType='LEADER_AMANITORE';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_AMBIORIX';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CULTURE' AND ObjectType='LEADER_AMBIORIX';
UPDATE RSTFLavors SET Value = 8 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_BARBAROSSA';
UPDATE RSTFLavors SET Value = 6 WHERE Strategy='CULTURE' AND ObjectType='LEADER_BARBAROSSA';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_BASIL';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CULTURE' AND ObjectType='LEADER_BASIL';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_CATHERINE_DE_MEDICI';
UPDATE RSTFLavors SET Value = 8 WHERE Strategy='CULTURE' AND ObjectType='LEADER_CATHERINE_DE_MEDICI';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_CATHERINE_DE_MEDICI_ALT';
UPDATE RSTFLavors SET Value = 9 WHERE Strategy='CULTURE' AND ObjectType='LEADER_CATHERINE_DE_MEDICI_ALT';
UPDATE RSTFLavors SET Value = 6 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_CHANDRAGUPTA';
UPDATE RSTFLavors SET Value = 6 WHERE Strategy='CULTURE' AND ObjectType='LEADER_CHANDRAGUPTA';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_CLEOPATRA';
UPDATE RSTFLavors SET Value = 8 WHERE Strategy='CULTURE' AND ObjectType='LEADER_CLEOPATRA';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_CLEOPATRA_ALT';
UPDATE RSTFLavors SET Value = 8 WHERE Strategy='CULTURE' AND ObjectType='LEADER_CLEOPATRA_ALT';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_CYRUS';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CULTURE' AND ObjectType='LEADER_CYRUS';
UPDATE RSTFLavors SET Value = 8 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_DIDO';
UPDATE RSTFLavors SET Value = 6 WHERE Strategy='CULTURE' AND ObjectType='LEADER_DIDO';
UPDATE RSTFLavors SET Value = 6 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_ELEANOR_ENGLAND';
UPDATE RSTFLavors SET Value = 8 WHERE Strategy='CULTURE' AND ObjectType='LEADER_ELEANOR_ENGLAND';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_ELEANOR_FRANCE';
UPDATE RSTFLavors SET Value = 9 WHERE Strategy='CULTURE' AND ObjectType='LEADER_ELEANOR_FRANCE';
UPDATE RSTFLavors SET Value = 8 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_ELIZABETH';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CULTURE' AND ObjectType='LEADER_ELIZABETH';
UPDATE RSTFLavors SET Value = 9 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_GANDHI';
UPDATE RSTFLavors SET Value = 9 WHERE Strategy='CULTURE' AND ObjectType='LEADER_GANDHI';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='RELIGION' AND ObjectType='LEADER_GANDHI';
UPDATE RSTFLavors SET Value = 1 WHERE Strategy='CONQUEST' AND ObjectType='LEADER_GANDHI';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_GENGHIS_KHAN';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CULTURE' AND ObjectType='LEADER_GENGHIS_KHAN';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_GILGAMESH';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CULTURE' AND ObjectType='LEADER_GILGAMESH';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_GITARJA';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CULTURE' AND ObjectType='LEADER_GITARJA';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_GORGO';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='CULTURE' AND ObjectType='LEADER_GORGO';
UPDATE RSTFLavors SET Value = 9 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_HAMMURABI';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CULTURE' AND ObjectType='LEADER_HAMMURABI';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_HARALD_ALT';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CULTURE' AND ObjectType='LEADER_HARALD_ALT';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_HARDRADA';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CULTURE' AND ObjectType='LEADER_HARDRADA';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_HOJO';
UPDATE RSTFLavors SET Value = 8 WHERE Strategy='CULTURE' AND ObjectType='LEADER_HOJO';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_JADWIGA';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='CULTURE' AND ObjectType='LEADER_JADWIGA';
UPDATE RSTFLavors SET Value = 6 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_JAYAVARMAN';
UPDATE RSTFLavors SET Value = 9 WHERE Strategy='CULTURE' AND ObjectType='LEADER_JAYAVARMAN';
UPDATE RSTFLavors SET Value = 9 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_JOAO_III';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CULTURE' AND ObjectType='LEADER_JOAO_III';
UPDATE RSTFLavors SET Value = 9 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_JOHN_CURTIN';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='CULTURE' AND ObjectType='LEADER_JOHN_CURTIN';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_JULIUS_CAESAR';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CULTURE' AND ObjectType='LEADER_JULIUS_CAESAR';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_KRISTINA';
UPDATE RSTFLavors SET Value = 9 WHERE Strategy='CULTURE' AND ObjectType='LEADER_KRISTINA';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='DIPLO' AND ObjectType='LEADER_KRISTINA';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_KUBLAI_KHAN_CHINA';
UPDATE RSTFLavors SET Value = 8 WHERE Strategy='CULTURE' AND ObjectType='LEADER_KUBLAI_KHAN_CHINA';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_KUBLAI_KHAN_MONGOLIA';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CULTURE' AND ObjectType='LEADER_KUBLAI_KHAN_MONGOLIA';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_KUPE';
UPDATE RSTFLavors SET Value = 9 WHERE Strategy='CULTURE' AND ObjectType='LEADER_KUPE';
UPDATE RSTFLavors SET Value = 9 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_LADY_SIX_SKY';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CULTURE' AND ObjectType='LEADER_LADY_SIX_SKY';
UPDATE RSTFLavors SET Value = 6 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_LADY_TRIEU';
UPDATE RSTFLavors SET Value = 8 WHERE Strategy='CULTURE' AND ObjectType='LEADER_LADY_TRIEU';
UPDATE RSTFLavors SET Value = 6 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_LAURIER';
UPDATE RSTFLavors SET Value = 9 WHERE Strategy='CULTURE' AND ObjectType='LEADER_LAURIER';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='DIPLO' AND ObjectType='LEADER_LAURIER';
UPDATE RSTFLavors SET Value = 1 WHERE Strategy='CONQUEST' AND ObjectType='LEADER_LAURIER';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_LAUTARO';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='CULTURE' AND ObjectType='LEADER_LAUTARO';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_LUDWIG';
UPDATE RSTFLavors SET Value = 9 WHERE Strategy='CULTURE' AND ObjectType='LEADER_LUDWIG';
UPDATE RSTFLavors SET Value = 8 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_MANSA_MUSA';
UPDATE RSTFLavors SET Value = 8 WHERE Strategy='CULTURE' AND ObjectType='LEADER_MANSA_MUSA';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_MATTHIAS_CORVINUS';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CULTURE' AND ObjectType='LEADER_MATTHIAS_CORVINUS';
UPDATE RSTFLavors SET Value = 6 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_MENELIK';
UPDATE RSTFLavors SET Value = 8 WHERE Strategy='CULTURE' AND ObjectType='LEADER_MENELIK';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_MONTEZUMA';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CULTURE' AND ObjectType='LEADER_MONTEZUMA';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_MVEMBA';
UPDATE RSTFLavors SET Value = 9 WHERE Strategy='CULTURE' AND ObjectType='LEADER_MVEMBA';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_NADER_SHAH';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CULTURE' AND ObjectType='LEADER_NADER_SHAH';
UPDATE RSTFLavors SET Value = 6 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_NZINGA_MBANDE';
UPDATE RSTFLavors SET Value = 9 WHERE Strategy='CULTURE' AND ObjectType='LEADER_NZINGA_MBANDE';
UPDATE RSTFLavors SET Value = 8 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_PACHACUTI';
UPDATE RSTFLavors SET Value = 6 WHERE Strategy='CULTURE' AND ObjectType='LEADER_PACHACUTI';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_PEDRO';
UPDATE RSTFLavors SET Value = 9 WHERE Strategy='CULTURE' AND ObjectType='LEADER_PEDRO';
UPDATE RSTFLavors SET Value = 6 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_PERICLES';
UPDATE RSTFLavors SET Value = 9 WHERE Strategy='CULTURE' AND ObjectType='LEADER_PERICLES';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_PETER_GREAT';
UPDATE RSTFLavors SET Value = 9 WHERE Strategy='CULTURE' AND ObjectType='LEADER_PETER_GREAT';
UPDATE RSTFLavors SET Value = 8 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_PHILIP_II';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CULTURE' AND ObjectType='LEADER_PHILIP_II';
UPDATE RSTFLavors SET Value = 8 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_POUNDMAKER';
UPDATE RSTFLavors SET Value = 8 WHERE Strategy='CULTURE' AND ObjectType='LEADER_POUNDMAKER';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_QIN';
UPDATE RSTFLavors SET Value = 9 WHERE Strategy='CULTURE' AND ObjectType='LEADER_QIN';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_QIN_ALT';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CULTURE' AND ObjectType='LEADER_QIN_ALT';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_RAMSES';
UPDATE RSTFLavors SET Value = 9 WHERE Strategy='CULTURE' AND ObjectType='LEADER_RAMSES';
UPDATE RSTFLavors SET Value = 9 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_ROBERT_THE_BRUCE';
UPDATE RSTFLavors SET Value = 6 WHERE Strategy='CULTURE' AND ObjectType='LEADER_ROBERT_THE_BRUCE';
UPDATE RSTFLavors SET Value = 9 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_SALADIN';
UPDATE RSTFLavors SET Value = 6 WHERE Strategy='CULTURE' AND ObjectType='LEADER_SALADIN';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_SALADIN_ALT';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CULTURE' AND ObjectType='LEADER_SALADIN_ALT';
UPDATE RSTFLavors SET Value = 9 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_SEJONG';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CULTURE' AND ObjectType='LEADER_SEJONG';
UPDATE RSTFLavors SET Value = 9 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_SEONDEOK';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CULTURE' AND ObjectType='LEADER_SEONDEOK';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_SHAKA';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CULTURE' AND ObjectType='LEADER_SHAKA';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_SIMON_BOLIVAR';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CULTURE' AND ObjectType='LEADER_SIMON_BOLIVAR';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_SULEIMAN';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CULTURE' AND ObjectType='LEADER_SULEIMAN';
UPDATE RSTFLavors SET Value = 8 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_SULEIMAN_ALT';
UPDATE RSTFLavors SET Value = 6 WHERE Strategy='CULTURE' AND ObjectType='LEADER_SULEIMAN_ALT';
UPDATE RSTFLavors SET Value = 6 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_SUNDIATA_KEITA';
UPDATE RSTFLavors SET Value = 9 WHERE Strategy='CULTURE' AND ObjectType='LEADER_SUNDIATA_KEITA';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_TAMAR';
UPDATE RSTFLavors SET Value = 8 WHERE Strategy='CULTURE' AND ObjectType='LEADER_TAMAR';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_THEODORA';
UPDATE RSTFLavors SET Value = 8 WHERE Strategy='CULTURE' AND ObjectType='LEADER_THEODORA';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_TOKUGAWA';
UPDATE RSTFLavors SET Value = 9 WHERE Strategy='CULTURE' AND ObjectType='LEADER_TOKUGAWA';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_TOMYRIS';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CULTURE' AND ObjectType='LEADER_TOMYRIS';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_TRAJAN';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='CULTURE' AND ObjectType='LEADER_TRAJAN';
UPDATE RSTFLavors SET Value = 6 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_T_ROOSEVELT';
UPDATE RSTFLavors SET Value = 9 WHERE Strategy='CULTURE' AND ObjectType='LEADER_T_ROOSEVELT';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_T_ROOSEVELT_ROUGHRIDER';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CULTURE' AND ObjectType='LEADER_T_ROOSEVELT_ROUGHRIDER';
UPDATE RSTFLavors SET Value = 8 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_VICTORIA';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CULTURE' AND ObjectType='LEADER_VICTORIA';
UPDATE RSTFLavors SET Value = 8 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_VICTORIA_ALT';
UPDATE RSTFLavors SET Value = 5 WHERE Strategy='CULTURE' AND ObjectType='LEADER_VICTORIA_ALT';
UPDATE RSTFLavors SET Value = 8 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_WILHELMINA';
UPDATE RSTFLavors SET Value = 8 WHERE Strategy='CULTURE' AND ObjectType='LEADER_WILHELMINA';
UPDATE RSTFLavors SET Value = 6 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_WU_ZETIAN';
UPDATE RSTFLavors SET Value = 8 WHERE Strategy='CULTURE' AND ObjectType='LEADER_WU_ZETIAN';
UPDATE RSTFLavors SET Value = 7 WHERE Strategy='SCIENCE' AND ObjectType='LEADER_YONGLE';
UPDATE RSTFLavors SET Value = 9 WHERE Strategy='CULTURE' AND ObjectType='LEADER_YONGLE';

-- add missing aggressive trait to aggressive leaders
INSERT INTO LeaderTraits (LeaderType, TraitType) VALUES
('LEADER_GILGAMESH', 'TRAIT_LEADER_AGGRESSIVE_MILITARY'),
('LEADER_LAUTARO', 'TRAIT_LEADER_AGGRESSIVE_MILITARY'),
('LEADER_TOMYRIS', 'TRAIT_LEADER_AGGRESSIVE_MILITARY');

-- remove gilgamesh, kublai, tomyris and ba trieu accepting friendship on the turn that you meet them (makes avoiding war too easy early game, especially against gilgameshs war cart rush)
DELETE FROM AiFavoredItems WHERE Item='DIPLOACTION_DECLARE_FRIENDSHIP' AND Favored=1 AND ListType='GilgameshDiplomacy';
DELETE FROM AiFavoredItems WHERE Item='DIPLOACTION_DECLARE_FRIENDSHIP' AND Favored=1 AND ListType='KublaiDiplomacy';
DELETE FROM AiFavoredItems WHERE Item='DIPLOACTION_DECLARE_FRIENDSHIP' AND Favored=1 AND ListType='TomyrisDiplomacy';
DELETE FROM AiFavoredItems WHERE Item='DIPLOACTION_DECLARE_FRIENDSHIP' AND Favored=1 AND ListType='LadyTrieuDiplomacy';

-- wilfrid has trouble attacking, trying to make him denounce first before trying to attack (in the rare case he wants to attack)
INSERT INTO AiFavoredItems (ListType, Item, Favored, Value) VALUES
('LaurierDiplomacy', 'DIPLOACTION_DENOUNCE', 1, 0);

-- deleting tomyris suprise war being unfavored, AI is just bad at denouncing before declaring, making suprise war unfavored cripples her too much
DELETE FROM AiFavoredItems WHERE ListType='TomyrisDiplomacy' AND Item='DIPLOACTION_DECLARE_SURPRISE_WAR';

-- removing peace deals being unfavored when going for conquest; the AI is at its best offensively when it can gather its strength and attack on its terms; tactical retreat is a good military tactic
DELETE FROM AiFavoredItems WHERE ListType='MilitaryVictoryDiplomacy' AND Item='DIPLOACTION_PROPOSE_PEACE_DEAL';

-- with my changes the AI doesn't go for conquest by default, so when they do they should be more aggressive
INSERT INTO AiFavoredItems (ListType, Item, Favored, Value) VALUES
('MilitaryVictoryPseudoYields', 'PSEUDOYIELD_CITY_BASE', 1, 50),
('MilitaryVictoryDiplomacy', 'DIPLOACTION_DECLARE_FRIENDSHIP', 0, 0),
('MilitaryVictoryDiplomacy', 'DIPLOACTION_DENOUNCE', 1, 0);

--also remove removal of the malus for capitals because they won't win by conquest anyways and it makes them do weird attacks
DELETE FROM AiFavoredItems WHERE Item='PSEUDOYIELD_CITY_ORIGINAL_CAPITAL' AND ListType='MilitaryVictoryPseudoYields';

--make aggressive AI ignore diplomatic relations more
UPDATE AiFavoredItems SET Value=-50 WHERE ListType = 'AggressivePseudoYields' AND Item = 'PSEUDOYIELD_DIPLOMATIC_BONUS';

--make AI build more campuses when going for SV
UPDATE AiFavoredItems SET Value=50 WHERE ListType = 'ScienceVictoryYields' AND Item = 'YIELD_SCIENCE';
UPDATE AiFavoredItems SET Value=150 WHERE ListType = 'ScienceVictoryPseudoYields' AND Item = 'PSEUDOYIELD_GPP_SCIENTIST';

--reduce value of luxuries and diplomatic favor so the AI throws less gold at the player
UPDATE PseudoYields SET DefaultValue=0.3 WHERE PseudoYieldType = 'PSEUDOYIELD_DIPLOMATIC_FAVOR';
UPDATE PseudoYields SET DefaultValue=0.5 WHERE PseudoYieldType = 'PSEUDOYIELD_RESOURCE_LUXURY';

--make AI ignore diplomatic relations more when having a huge military
INSERT INTO AiFavoredItems (ListType, Item, Favored, Value) VALUES
('RSTEnoughPseudoYields', 'PSEUDOYIELD_DIPLOMATIC_BONUS', 1, -50);

-- delete reduction in pseudoyield of tourism and space race for conquest, it's still important to have these when the AI is trying to stop its competition in the late game
DELETE FROM AiFavoredItems WHERE ListType = 'MilitaryVictoryPseudoYields' AND Item = 'PSEUDOYIELD_TOURISM';
DELETE FROM AiFavoredItems WHERE ListType = 'MilitaryVictoryPseudoYields' AND Item = 'PSEUDOYIELD_SPACE_RACE';

-- same for civs at war, AI wars can last very long and it hurts culture civs too much compared to science civs if they produce less tourism
DELETE FROM AiFavoredItems WHERE ListType = 'RSTAtWarPseudoYields' AND Item = 'PSEUDOYIELD_TOURISM';
DELETE FROM AiFavoredItems WHERE ListType = 'RSTAtWarPseudoYields' AND Item = 'PSEUDOYIELD_UNIT_ARCHAEOLOGIST';

--since nobody will go for religious victory with my mod, make AI going for culture victory build more holy sites so the AI doesn't ignore religion completely since faith is generally useful for culture victory
DELETE FROM AiFavoredItems WHERE ListType='CultureVictoryPseudoYields' AND Item='PSEUDOYIELD_GPP_PROPHET';
DELETE FROM AiFavoredItems WHERE ListType='CultureVictoryYields' AND Item='YIELD_FAITH';

--I noticed that some civs were building too few of their unique districts/not rushing them, so I made sure they are

INSERT INTO AiListTypes (ListType) VALUES
('LGAIAcropolis'),
('LGAIBath'),
('LGAICothon'),
('LGAIHansa'),
('LGAIHippodrome'),
('LGAIIkanda'),
('LGAILavra'),
('LGAIObservatory'),
('LGAIOppidum'),
('LGAIRoyalNavy'),
('LGAISeowon'),
('LGAISuguba'),
('LGAIThanh');

INSERT INTO AiLists (ListType, LeaderType, System) VALUES
('LGAIAcropolis', 'TRAIT_CIVILIZATION_DISTRICT_ACROPOLIS', 'Districts'),
('LGAIBath', 'TRAIT_CIVILIZATION_DISTRICT_BATH', 'Districts'),
('LGAICothon', 'TRAIT_CIVILIZATION_DISTRICT_COTHON', 'Districts'),
('LGAIHansa', 'TRAIT_CIVILIZATION_DISTRICT_HANSA', 'Districts'),
('LGAIHippodrome', 'TRAIT_CIVILIZATION_DISTRICT_HIPPODROME', 'Districts'),
('LGAIIkanda', 'TRAIT_CIVILIZATION_DISTRICT_IKANDA', 'Districts'),
('LGAILavra', 'TRAIT_CIVILIZATION_DISTRICT_LAVRA', 'Districts'),
('LGAIObservatory', 'TRAIT_CIVILIZATION_DISTRICT_OBSERVATORY', 'Districts'),
('LGAIOppidum', 'TRAIT_CIVILIZATION_DISTRICT_OPPIDUM', 'Districts'),
('LGAIRoyalNavy', 'TRAIT_CIVILIZATION_ROYAL_NAVY_DOCKYARD', 'Districts'),
('LGAISeowon', 'TRAIT_CIVILIZATION_DISTRICT_SEOWON', 'Districts'),
('LGAISuguba', 'TRAIT_CIVILIZATION_DISTRICT_SUGUBA', 'Districts'),
('LGAIThanh', 'TRAIT_CIVILIZATION_DISTRICT_THANH', 'Districts');

INSERT INTO AiFavoredItems (ListType, Item, Favored, Value) VALUES
('LGAIAcropolis', 'DISTRICT_ACROPOLIS', 1, 0),
('LGAIBath', 'DISTRICT_BATH', 1, 0),
('LGAICothon', 'DISTRICT_COTHON', 1, 0),
('LGAICothon', 'DISTRICT_COMMERCIAL_HUB', 0, 0),
('LGAIHansa', 'DISTRICT_HANSA', 1, 0),
('LGAIHippodrome', 'DISTRICT_HIPPODROME', 1, 0),
('LGAIHippodrome', 'DISTRICT_ENTERTAINMENT_COMPLEX', 1, 0),
('LGAIIkanda', 'DISTRICT_IKANDA', 1, 0),
('LGAILavra', 'DISTRICT_LAVRA', 1, 0),
('LGAIObservatory', 'DISTRICT_OBSERVATORY', 1, 0),
('LGAIOppidum', 'DISTRICT_OPPIDUM', 1, 0),
('LGAIRoyalNavy', 'DISTRICT_ROYAL_NAVY_DOCKYARD', 1, 0),
('LGAIRoyalNavy', 'DISTRICT_COMMERCIAL_HUB', 0, 0),
('LGAISeowon', 'DISTRICT_SEOWON', 1, 0),
('LGAISuguba', 'DISTRICT_SUGUBA', 1, 0),
('LGAISuguba', 'DISTRICT_HARBOR', 0, 0),
('LGAIThanh', 'DISTRICT_THANH', 1, 0);--I noticed that some civs were building too few of their unique districts/not rushing them, so I made sure they are

--adds religious trait (see DLC folder for DLC leaders)
INSERT INTO Types (Type, Kind) VALUES
('TRAIT_LGAI_LEADER_RELIGIOUS_MAJOR_CIV', 'KIND_TRAIT');

INSERT INTO Traits (TraitType, InternalOnly) VALUES
('TRAIT_LGAI_LEADER_RELIGIOUS_MAJOR_CIV', 1);

INSERT INTO LeaderTraits (LeaderType, TraitType) VALUES
('LEADER_CHANDRAGUPTA', 'TRAIT_LGAI_LEADER_RELIGIOUS_MAJOR_CIV'),
('LEADER_GANDHI', 'TRAIT_LGAI_LEADER_RELIGIOUS_MAJOR_CIV'),
('LEADER_HOJO', 'TRAIT_LGAI_LEADER_RELIGIOUS_MAJOR_CIV'),
('LEADER_PETER_GREAT', 'TRAIT_LGAI_LEADER_RELIGIOUS_MAJOR_CIV'),
('LEADER_PHILIP_II', 'TRAIT_LGAI_LEADER_RELIGIOUS_MAJOR_CIV'),
('LEADER_SALADIN', 'TRAIT_LGAI_LEADER_RELIGIOUS_MAJOR_CIV'),
('LEADER_TAMAR', 'TRAIT_LGAI_LEADER_RELIGIOUS_MAJOR_CIV');

--several changes to what districts the AI typically builds and more (reduce encampment spam, increase commercial hubs, increase desire to build good allrounder wonders, make AI use more willing to use nuclear weapons)
INSERT INTO AiListTypes (ListType) VALUES
('LGAIHojoDistricts'),
('LGAIMilitaryVictoryDistricts'),
('LGAIAggressiveDistricts'),
('LGAIReligiousDistricts'),
('LGAIReligiousWonders'),
('LGAIDefaultDiplomacy'),
('LGAIDefaultWonders'),
('LGAIDefaultTechs'),
('LGAIDefaultDistricts');

INSERT INTO Strategy_Priorities (StrategyType, ListType) VALUES
('VICTORY_STRATEGY_MILITARY_VICTORY', 'LGAIMilitaryVictoryDistricts');

INSERT INTO AiLists (ListType, LeaderType, System) VALUES
('LGAIHojoDistricts', 'TRAIT_LEADER_DIVINE_WIND', 'Districts'),
('LGAIMilitaryVictoryDistricts', NULL, 'Districts'),
('LGAIAggressiveDistricts', 'TRAIT_LEADER_AGGRESSIVE_MILITARY', 'Districts'),
('LGAIReligiousDistricts', 'TRAIT_LGAI_LEADER_RELIGIOUS_MAJOR_CIV', 'Districts'),
('LGAIReligiousWonders', 'TRAIT_LGAI_LEADER_RELIGIOUS_MAJOR_CIV', 'Buildings'),
('LGAIDefaultDiplomacy', 'TRAIT_LEADER_MAJOR_CIV', 'DiplomaticActions'),
('LGAIDefaultWonders', 'TRAIT_LEADER_MAJOR_CIV', 'Buildings'),
('LGAIDefaultTechs', 'TRAIT_LEADER_MAJOR_CIV', 'Technologies'),
('LGAIDefaultDistricts', 'TRAIT_LEADER_MAJOR_CIV', 'Districts');

INSERT INTO AiFavoredItems (ListType, Item, Favored, Value) VALUES
('LGAIHojoDistricts', 'DISTRICT_ENCAMPMENT', 1, 0),
('LGAIHojoDistricts', 'DISTRICT_HOLY_SITE', 1, 0),
('LGAIMilitaryVictoryDistricts', 'DISTRICT_ENCAMPMENT', 1, 0),
('LGAIAggressiveDistricts', 'DISTRICT_ENCAMPMENT', 1, 0),
('LGAIReligiousDistricts', 'DISTRICT_HOLY_SITE', 1, 0),
('LGAIReligiousWonders', 'BUILDING_STONEHENGE', 1, 0),
('LGAIDefaultDiplomacy', 'DIPLOACTION_USE_NUCLEAR_WEAPON', 1, 0),
('LGAIDefaultWonders', 'BUILDING_ARENA',      1, 0),
('LGAIDefaultWonders', 'BUILDING_COLOSSEUM',      1, 0),
('LGAIDefaultWonders', 'BUILDING_ORACLE',      1, 0),
('LGAIDefaultWonders', 'BUILDING_TEMPLE_ARTEMIS',      1, 0),
('LGAIDefaultWonders', 'BUILDING_KILWA_KISIWANI',      1, 0),
('LGAIDefaultWonders', 'BUILDING_HALICARNASSUS_MAUSOLEUM',      1, 0),
('LGAIDefaultTechs', 'TECH_BALLISTICS',      1, 0),	--ballistics has 2 important military units for city center strength (both defense and ranged) and AI tends to skip it
('LGAIDefaultDistricts', 'DISTRICT_COMMERCIAL_HUB', 1, 0),
('LGAIDefaultDistricts', 'DISTRICT_ENCAMPMENT', 0, 0),
('RSTNavalDistricts', 'DISTRICT_COMMERCIAL_HUB', 0, 0),
('RSTIslandDistricts', 'DISTRICT_COMMERCIAL_HUB', 0, 0);
