-- unit and wall production adjustment for game speeds
INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_MARATHON_UNIT_PRODUCTION'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_MARATHON_MEDWALLS_PRODUCTION'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_MARATHON_RENWALLS_PRODUCTION'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_MARATHON_ANCWALLS_PRODUCTION'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_MARATHON_TSIKHE_PRODUCTION');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('LGAI_MARATHON_UNIT_PRODUCTION', 'MODIFIER_PLAYER_CITIES_ADJUST_MILITARY_UNITS_PRODUCTION', 'PLAYER_IS_HIGH_DIFFICULTY_AI'),
('LGAI_MARATHON_MEDWALLS_PRODUCTION', 'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_PRODUCTION', 'PLAYER_IS_HIGH_DIFFICULTY_AI'),
('LGAI_MARATHON_RENWALLS_PRODUCTION', 'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_PRODUCTION', 'PLAYER_IS_HIGH_DIFFICULTY_AI'),
('LGAI_MARATHON_ANCWALLS_PRODUCTION', 'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_PRODUCTION', 'PLAYER_IS_HIGH_DIFFICULTY_AI'),
('LGAI_MARATHON_TSIKHE_PRODUCTION', 'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_PRODUCTION', 'PLAYER_IS_HIGH_DIFFICULTY_AI');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('LGAI_MARATHON_UNIT_PRODUCTION', 'Amount', 'LinearScaleFromDefaultHandicap', 40, 0),
('LGAI_MARATHON_MEDWALLS_PRODUCTION', 'Amount', 'LinearScaleFromDefaultHandicap', 40, 0),
('LGAI_MARATHON_MEDWALLS_PRODUCTION', 'BuildingType', 'ARGTYPE_IDENTITY', 'BUILDING_CASTLE', NULL),
('LGAI_MARATHON_RENWALLS_PRODUCTION', 'Amount', 'LinearScaleFromDefaultHandicap', 40, 0),
('LGAI_MARATHON_RENWALLS_PRODUCTION', 'BuildingType', 'ARGTYPE_IDENTITY', 'BUILDING_STAR_FORT', NULL),
('LGAI_MARATHON_ANCWALLS_PRODUCTION', 'Amount', 'LinearScaleFromDefaultHandicap', 40, 0),
('LGAI_MARATHON_ANCWALLS_PRODUCTION', 'BuildingType', 'ARGTYPE_IDENTITY', 'BUILDING_WALLS', NULL),
('LGAI_MARATHON_TSIKHE_PRODUCTION', 'Amount', 'LinearScaleFromDefaultHandicap', 40, 0),
('LGAI_MARATHON_TSIKHE_PRODUCTION', 'BuildingType', 'ARGTYPE_IDENTITY', 'BUILDING_TSIKHE', NULL);